using NetinaShop.Domain.Entities.Users;

namespace NetinaShop.AdminPanel.PWA.Services.RestServices;

public interface IRoleRestApi
{

    [Put("")]
    Task UpdateRoleAsync([Body] RoleActionRequestDto request, [Header("Authorization")] string authorization);
    [Post("")]
    Task CreateRoleAsync([Body] RoleActionRequestDto request, [Header("Authorization")] string authorization);

    [Get("/{id}")]
    Task<RoleActionRequestDto> ReadOne(Guid id, [Header("Authorization")] string authorization);
    [Get("")]
    Task<List<ApplicationRole>> ReadAll([Query] int page, [Header("Authorization")] string authorization);
    [Get("")]
    Task<List<ApplicationRole>> ReadAll([Query] string roleName, [Header("Authorization")] string authorization);
}